org.apache.jmeter.util

## Class TrustAllSSLSocketFactory

- java.lang.Object
- - javax.net.SocketFactory
  - - javax.net.ssl.SSLSocketFactory
    - - org.apache.jmeter.util.TrustAllSSLSocketFactory

-     public class TrustAllSSLSocketFactory
      extends SSLSocketFactory

  This class can be used as a SocketFactory with SSL-connections.

  Its purpose is to ensure that all certificates - no matter from which CA - are accepted to enable the SSL-connection.

  This is of course not secure

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TrustAllSSLSocketFactory()` Standard constructor

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Socket` | `createSocket()`
    `Socket` | `createSocket(InetAddress address, int port)`
    `Socket` | `createSocket(InetAddress address, int port, InetAddress localAddress, int localPort)`
    `Socket` | `createSocket(Socket socket, String host, int port, boolean autoClose)`
    `Socket` | `createSocket(String host, int port)`
    `Socket` | `createSocket(String host, int port, InetAddress localHost, int localPort)`
    `static SocketFactory` | `getDefault()` Factory method
    `String[]` | `getDefaultCipherSuites()`
    `String[]` | `getSupportedCipherSuites()`

    - ### Methods inherited from class javax.net.ssl.SSLSocketFactory

      `createSocket`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TrustAllSSLSocketFactory

          public TrustAllSSLSocketFactory()

      Standard constructor

  - ### Method Detail

    - #### getDefault

          public static SocketFactory getDefault()

      Factory method
      Returns:
        New TrustAllSSLSocketFactory

    - #### createSocket

          public Socket createSocket(Socket socket,
                                     String host,
                                     int port,
                                     boolean autoClose)
                              throws IOException

      Specified by:
        `createSocket` in class `SSLSocketFactory`
      Throws:
        `IOException`

    - #### createSocket

          public Socket createSocket(InetAddress address,
                                     int port,
                                     InetAddress localAddress,
                                     int localPort)
                              throws IOException

      Specified by:
        `createSocket` in class `SocketFactory`
      Throws:
        `IOException`

    - #### createSocket

          public Socket createSocket(InetAddress address,
                                     int port)
                              throws IOException

      Specified by:
        `createSocket` in class `SocketFactory`
      Throws:
        `IOException`

    - #### createSocket

          public Socket createSocket(String host,
                                     int port,
                                     InetAddress localHost,
                                     int localPort)
                              throws IOException

      Specified by:
        `createSocket` in class `SocketFactory`
      Throws:
        `IOException`

    - #### createSocket

          public Socket createSocket(String host,
                                     int port)
                              throws IOException

      Specified by:
        `createSocket` in class `SocketFactory`
      Throws:
        `IOException`

    - #### createSocket

          public Socket createSocket()
                              throws IOException

      Overrides:
        `createSocket` in class `SocketFactory`
      Throws:
        `IOException`

    - #### getDefaultCipherSuites

          public String[] getDefaultCipherSuites()

      Specified by:
        `getDefaultCipherSuites` in class `SSLSocketFactory`

    - #### getSupportedCipherSuites

          public String[] getSupportedCipherSuites()

      Specified by:
        `getSupportedCipherSuites` in class `SSLSocketFactory`

Copyright © 1998-2022 Apache Software Foundation. All Rights Reserved.